--- title: "Rename Group" slug: "rename-group" updated: 2026-09-03T14:50:33Z published: 2026-09-03T14:50:33Z canonical: "developer.rocket.chat/rename-group" stale: true --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Rename Group Post/api/v1/groups.rename Rename a private channel. Permission required: `edit-room` ### Changelog | Version | Description | | --- | --- | | 0.48.0 | Added | Header parametersX-Auth-TokenstringRequired The `authToken` of the authenticated user. ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f X-User-IdstringRequired The `userId` of the authenticated user. ExamplerbAXPnMktTFbNpwtJ Body parametersExample ```json { "roomId": "ByehQjC44FwMeiLbX", "name": "new-name" } ``` object roomIdstring Required The private group's ID. You can find the IDs by using any of the following endpoints: - [Get List of User Groups](https://developer.rocket.chat/apidocs/get-list-of-user-groups): This endpoint returns all private channels in the workspace, if you have the required permissions to view them. - [Get Groups](https://developer.rocket.chat/apidocs/get-groups): This endpoint returns the private channels that you are a member of. ExampleByehQjC44FwMeiLbX namestring Required The new name of the private group. It can not be the same as another or the existing name. Examplenewname Responses200 OK Success ```json { "group": { "_id": "ByehQjC44FwMeiLbX", "name": "new-name", "t": "p", "usernames": [ "testing1" ], "msgs": 4, "u": { "_id": "aobEdbYhXfu5hkeqG", "username": "testing1" }, "ts": "2016-12-09T15:08:58.042Z", "ro": false, "sysMes": true, "_updatedAt": "2016-12-09T15:57:44.686Z" }, "success": true } ``` Expand Allobject groupobject _idstring namestring tstring usernames Array of string string msgsinteger uobject _idstring usernamestring tsstring roboolean sysMesboolean _updatedAtstring successboolean 400 Bad Request Example 1 ```json { "success": false, "error": "The bodyParam \"name\" is required" } ``` Example 2 ```json { "success": false, "error": "The parameter \"roomId\" or \"roomName\" is required [error-room-param-not-provided]", "errorType": "error-room-param-not-provided" } ``` object successboolean errorstring 401 Unauthorized Authorization Error ```json { "status": "error", "message": "You must be logged in to do this." } ``` object statusstring messagestring